## Class TPgsqlCommandBuilder

Description

TPgsqlCommandBuilder provides specifics methods to create limit/offset query commands for Pgsql database.

- since: 3.1
- version: $Id: TDbCommandBuilder.php 1863 2007-04-12 12:43:49Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/Common/Pgsql/TPgsqlCommandBuilder.php (line 24)

    TComponent
       |
       --TDbCommandBuilder
          |
          --TPgsqlCommandBuilder

Method Summary
string getSearchCondition (string $column, array $words)
string getSearchExpression (array $fields, string $keywords)
boolean isSearchableColumn (mixed $column)
Methods
getSearchCondition (line 60)

Overrides parent implementation to use PostgreSQL's ILIKE instead of LIKE (case-sensitive).

- return: search condition for all words in one column.
- access: protected

string getSearchCondition (string $column, array $words)

- string $column: column name.
- array $words: keywords

Redefinition of:

TDbCommandBuilder::getSearchCondition()

getSearchExpression (line 33)

Overrides parent implementation. Only column of type text or character (and its variants) accepts the LIKE criteria.

- return: SQL search condition matching on a set of columns.
- access: public

string getSearchExpression (array $fields, string $keywords)

- array $fields: list of column id for potential search condition.
- string $keywords: string of keywords

Redefinition of:

TDbCommandBuilder::getSearchExpression()
  Computes the SQL condition for search a set of column using regular expression (or LIKE, depending on database implementation) to match a string of keywords (default matches all keywords).

isSearchableColumn (line 47)

- return: true if column can be used for LIKE searching.
- access: protected

boolean isSearchableColumn (mixed $column)

#### Inherited Methods

Inherited From TDbCommandBuilder

> TDbCommandBuilder::__construct()
> TDbCommandBuilder::applyCriterias()
> TDbCommandBuilder::applyLimitOffset()
> TDbCommandBuilder::applyOrdering()
> TDbCommandBuilder::bindArrayValues()
> TDbCommandBuilder::bindColumnValues()
> TDbCommandBuilder::createCommand()
> TDbCommandBuilder::createCountCommand()
> TDbCommandBuilder::createDeleteCommand()
> TDbCommandBuilder::createFindCommand()
> TDbCommandBuilder::createInsertCommand()
> TDbCommandBuilder::createUpdateCommand()
> TDbCommandBuilder::getColumnBindings()
> TDbCommandBuilder::getDbConnection()
> TDbCommandBuilder::getInsertFieldBindings()
> TDbCommandBuilder::getLastInsertID()
> TDbCommandBuilder::getPdoType()
> TDbCommandBuilder::getSearchCondition()
> TDbCommandBuilder::getSearchExpression()
> TDbCommandBuilder::getTableInfo()
> TDbCommandBuilder::hasIntegerKey()
> TDbCommandBuilder::setDbConnection()
> TDbCommandBuilder::setTableInfo()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:52 -0400 by phpDocumentor 1.3.0RC4